import request from '@/utils/request'

// 运输记录列表
export function recordList() {
	return request({
		'url': '/app/transportProcess/list?pageNum=1&pageSize=1000',
		'method': 'get'
	})
}

// 运输记录详情
export function recordDetail(id) {
	return request({
		'url': `/app/transportProcess/${id}`,
		'method': 'get'
	})
}

// 运输记录审批
export function recordCheck(data) {
	return request({
		'url': '/app/transportProcess/check',
		'method': 'put',
		'data': data
	})
}

// 车辆异常状态字典接口
export function errorState() {
	return request({
		'url': '/system/dict/data/type/transport_error_state',
		'method': 'get',
	})
}
